Bug 104838 - [PATCH] ports-mgmt/portconf: auto detect real path of /usr/ports
Summary: [PATCH] ports-mgmt/portconf: auto detect real path of /usr/ports
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alex Dupre
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-10-26 20:00 UTC by Rong-En Fan
Modified: 2007-06-22 11:50 UTC (History)
1 user (show)

See Also:


Attachments
portconf-1.2_1.patch (1.16 KB, patch)
2006-10-26 20:00 UTC, Rong-En Fan
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Rong-En Fan freebsd_committer 2006-10-26 20:00:36 UTC
Make make.conf auto detect where the real path of /usr/ports is.
If your /usr/ports is a symlink, portconf can still work.

Port maintainer (ale@FreeBSD.org) is cc'd.

Generated with FreeBSD Port Tools 0.77
Comment 1 Edwin Groothuis freebsd_committer 2006-10-26 20:00:50 UTC
Responsible Changed
From-To: freebsd-ports-bugs->ale

Over to maintainer
Comment 2 Rong-En Fan freebsd_committer 2007-03-07 07:12:31 UTC
Since _PORTSDIR will be invoked whenever make is invoked,
I measured the time requirement for buildworld against RELENG_6
src/ on P4 3.4G i386 box running 6.2-RELEASE.

before / after: 49m24.906s / 52m17.299s

If this is not acceptable, call realpath when at installation
stage and add a message in pkg-message.

Regards,
Rong-En Fan
Comment 3 Rong-En Fan freebsd_committer 2007-04-26 10:58:54 UTC
I found that ${VAR} != "" does not work as I thought.
It should be replaced by empty(). I updated the patch at

http://people.freebsd.org/~rafan/portconf.diff

Rong-En Fan
Comment 4 dfilter service freebsd_committer 2007-06-22 11:41:07 UTC
rafan       2007-06-22 10:41:01 UTC

  FreeBSD ports repository

  Modified files:
    ports-mgmt/portconf  pkg-install 
  Log:
  - Make portconf work when /usr/ports is a symlink.  When the link is changed,
    you have to reinstall portconf to get make.conf right.
  
  As this does not affect most people, PORTREVISION is not bumped.
  
  The patch in the PR does not work: we can not use variable in substitution.
  So, the only way to do is to detect the real path of /usr/ports at
  installation time.
  
  PR:             ports/104838
  Submitted by:   rafan
  Approved by:    maintainer timeout (8 months)
  
  Revision  Changes    Path
  1.2       +2 -1      ports/ports-mgmt/portconf/pkg-install
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Rong-En Fan freebsd_committer 2007-06-22 11:41:21 UTC
State Changed
From-To: open->closed

Committed with different approach.